<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Mon Jul 17 12:51:57 CEST 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Uses of Class towerwarspp.util.debug.DebugLevel (APP)</title>
<meta name="date" content="2017-07-17">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class towerwarspp.util.debug.DebugLevel (APP)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../towerwarspp/util/debug/DebugLevel.html" title="enum in towerwarspp.util.debug">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?towerwarspp/util/debug/class-use/DebugLevel.html" target="_top">Frames</a></li>
<li><a href="DebugLevel.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class towerwarspp.util.debug.DebugLevel" class="title">Uses of Class<br>towerwarspp.util.debug.DebugLevel</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../towerwarspp/util/debug/DebugLevel.html" title="enum in towerwarspp.util.debug">DebugLevel</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#towerwarspp.preset">towerwarspp.preset</a></td>
<td class="colLast">
<div class="block">The preset package which implements all given presets.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#towerwarspp.util.debug">towerwarspp.util.debug</a></td>
<td class="colLast">
<div class="block">The debug package which implements the Debugger</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="towerwarspp.preset">
<!--   -->
</a>
<h3>Uses of <a href="../../../../towerwarspp/util/debug/DebugLevel.html" title="enum in towerwarspp.util.debug">DebugLevel</a> in <a href="../../../../towerwarspp/preset/package-summary.html">towerwarspp.preset</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../towerwarspp/preset/package-summary.html">towerwarspp.preset</a> that return <a href="../../../../towerwarspp/util/debug/DebugLevel.html" title="enum in towerwarspp.util.debug">DebugLevel</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../towerwarspp/util/debug/DebugLevel.html" title="enum in towerwarspp.util.debug">DebugLevel</a></code></td>
<td class="colLast"><span class="typeNameLabel">ArgumentParser.</span><code><span class="memberNameLink"><a href="../../../../towerwarspp/preset/ArgumentParser.html#getDebugLevel--">getDebugLevel</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../../../../towerwarspp/util/debug/DebugLevel.html" title="enum in towerwarspp.util.debug">DebugLevel</a></code></td>
<td class="colLast"><span class="typeNameLabel">ArgumentParser.</span><code><span class="memberNameLink"><a href="../../../../towerwarspp/preset/ArgumentParser.html#parseDebugLevel-java.lang.String-">parseDebugLevel</a></span>(java.lang.String&nbsp;level)</code>
<div class="block">Parse the <a href="../../../../towerwarspp/util/debug/DebugLevel.html" title="enum in towerwarspp.util.debug"><code>DebugLevel</code></a> entered by the user for debugging purposes.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="towerwarspp.util.debug">
<!--   -->
</a>
<h3>Uses of <a href="../../../../towerwarspp/util/debug/DebugLevel.html" title="enum in towerwarspp.util.debug">DebugLevel</a> in <a href="../../../../towerwarspp/util/debug/package-summary.html">towerwarspp.util.debug</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../../towerwarspp/util/debug/package-summary.html">towerwarspp.util.debug</a> declared as <a href="../../../../towerwarspp/util/debug/DebugLevel.html" title="enum in towerwarspp.util.debug">DebugLevel</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../../towerwarspp/util/debug/DebugLevel.html" title="enum in towerwarspp.util.debug">DebugLevel</a></code></td>
<td class="colLast"><span class="typeNameLabel">Debug.</span><code><span class="memberNameLink"><a href="../../../../towerwarspp/util/debug/Debug.html#debugLevel">debugLevel</a></span></code>
<div class="block">The <a href="../../../../towerwarspp/util/debug/DebugLevel.html" title="enum in towerwarspp.util.debug"><code>DebugLevel</code></a> that is being logged.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../towerwarspp/util/debug/package-summary.html">towerwarspp.util.debug</a> that return <a href="../../../../towerwarspp/util/debug/DebugLevel.html" title="enum in towerwarspp.util.debug">DebugLevel</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../towerwarspp/util/debug/DebugLevel.html" title="enum in towerwarspp.util.debug">DebugLevel</a></code></td>
<td class="colLast"><span class="typeNameLabel">Debug.</span><code><span class="memberNameLink"><a href="../../../../towerwarspp/util/debug/Debug.html#getDebugLevel--">getDebugLevel</a></span>()</code>
<div class="block">Returns the current set <a href="../../../../towerwarspp/util/debug/Debug.html#debugLevel"><code>Debug.debugLevel</code></a></div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../towerwarspp/util/debug/DebugLevel.html" title="enum in towerwarspp.util.debug">DebugLevel</a></code></td>
<td class="colLast"><span class="typeNameLabel">DebugLevel.</span><code><span class="memberNameLink"><a href="../../../../towerwarspp/util/debug/DebugLevel.html#valueOf-java.lang.String-">valueOf</a></span>(java.lang.String&nbsp;name)</code>
<div class="block">Returns the enum constant of this type with the specified name.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../towerwarspp/util/debug/DebugLevel.html" title="enum in towerwarspp.util.debug">DebugLevel</a>[]</code></td>
<td class="colLast"><span class="typeNameLabel">DebugLevel.</span><code><span class="memberNameLink"><a href="../../../../towerwarspp/util/debug/DebugLevel.html#values--">values</a></span>()</code>
<div class="block">Returns an array containing the constants of this enum type, in
the order they are declared.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../towerwarspp/util/debug/package-summary.html">towerwarspp.util.debug</a> with parameters of type <a href="../../../../towerwarspp/util/debug/DebugLevel.html" title="enum in towerwarspp.util.debug">DebugLevel</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Debug.</span><code><span class="memberNameLink"><a href="../../../../towerwarspp/util/debug/Debug.html#send-towerwarspp.util.debug.DebugLevel-towerwarspp.util.debug.DebugSource-java.lang.String-">send</a></span>(<a href="../../../../towerwarspp/util/debug/DebugLevel.html" title="enum in towerwarspp.util.debug">DebugLevel</a>&nbsp;level,
    <a href="../../../../towerwarspp/util/debug/DebugSource.html" title="enum in towerwarspp.util.debug">DebugSource</a>&nbsp;source,
    java.lang.String&nbsp;msg)</code>
<div class="block">Can be used to send debug messages with the specified <a href="../../../../towerwarspp/util/debug/DebugLevel.html" title="enum in towerwarspp.util.debug"><code>DebugLevel</code></a> and <a href="../../../../towerwarspp/util/debug/DebugSource.html" title="enum in towerwarspp.util.debug"><code>DebugSource</code></a> to the <a href="../../../../towerwarspp/util/debug/Debug.html#debugMessages"><code>Debug.debugMessages</code></a> Buffer
 to await collection by <a href="../../../../towerwarspp/util/debug/Debug.html#getDebugOutput--"><code>Debug.getDebugOutput()</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Debug.</span><code><span class="memberNameLink"><a href="../../../../towerwarspp/util/debug/Debug.html#setDebugLevel-towerwarspp.util.debug.DebugLevel-">setDebugLevel</a></span>(<a href="../../../../towerwarspp/util/debug/DebugLevel.html" title="enum in towerwarspp.util.debug">DebugLevel</a>&nbsp;debugLevel)</code>
<div class="block">Sets the Debug level.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../towerwarspp/util/debug/DebugLevel.html" title="enum in towerwarspp.util.debug">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?towerwarspp/util/debug/class-use/DebugLevel.html" target="_top">Frames</a></li>
<li><a href="DebugLevel.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
